<html>
<head>
<title>Ogre::ResourceBackgroundQueue::ResourceRequest Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceBackgroundQueue::ResourceRequest Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceBackgroundQueue::ResourceRequest" -->
<p>Encapsulates a queued request for the background queue.  
 <a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">RequestType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a69799d5ebb705f6e8960de68b43a291c">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#af0f0bc6bbfdd8d0832545f560a031a01">resourceName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a5010830edc3d6fc7fe5cd3ab4b885f6a">resourceHandle</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a7d4d06543328af3f1550fdea2ec2f0ac">resourceType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#ab094fe597690f96e2eb9e215715e9efa">groupName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a8bf83ba68d9ed93b03e95b64ce76a551">isManual</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a62fd7de072fa064dd8e1edd5e2015de7">loader</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a093ecd7b9347cb30747a9894ccd64053">loadParams</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#ac6ac97360dd43c91ccef59d726f93e04">listener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1BackgroundProcessResult.html">BackgroundProcessResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a3f4a164e5f83968645c65302a380d257">result</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a4f919d9838f97100888df85968456ae2">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Encapsulates a queued request for the background queue. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00123">123</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>
</div><hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a4f919d9838f97100888df85968456ae2"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::operator&lt;&lt;" ref="a4f919d9838f97100888df85968456ae2" args="(std::ostream &amp;o, const ResourceRequest &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00136">136</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab094fe597690f96e2eb9e215715e9efa"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::groupName" ref="ab094fe597690f96e2eb9e215715e9efa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#ab094fe597690f96e2eb9e215715e9efa">Ogre::ResourceBackgroundQueue::ResourceRequest::groupName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00129">129</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8bf83ba68d9ed93b03e95b64ce76a551"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::isManual" ref="a8bf83ba68d9ed93b03e95b64ce76a551" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a8bf83ba68d9ed93b03e95b64ce76a551">Ogre::ResourceBackgroundQueue::ResourceRequest::isManual</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00130">130</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6ac97360dd43c91ccef59d726f93e04"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::listener" ref="ac6ac97360dd43c91ccef59d726f93e04" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#ac6ac97360dd43c91ccef59d726f93e04">Ogre::ResourceBackgroundQueue::ResourceRequest::listener</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00133">133</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a62fd7de072fa064dd8e1edd5e2015de7"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::loader" ref="a62fd7de072fa064dd8e1edd5e2015de7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a62fd7de072fa064dd8e1edd5e2015de7">Ogre::ResourceBackgroundQueue::ResourceRequest::loader</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00131">131</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a093ecd7b9347cb30747a9894ccd64053"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::loadParams" ref="a093ecd7b9347cb30747a9894ccd64053" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a093ecd7b9347cb30747a9894ccd64053">Ogre::ResourceBackgroundQueue::ResourceRequest::loadParams</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00132">132</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5010830edc3d6fc7fe5cd3ab4b885f6a"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::resourceHandle" ref="a5010830edc3d6fc7fe5cd3ab4b885f6a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a5010830edc3d6fc7fe5cd3ab4b885f6a">Ogre::ResourceBackgroundQueue::ResourceRequest::resourceHandle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00127">127</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0f0bc6bbfdd8d0832545f560a031a01"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::resourceName" ref="af0f0bc6bbfdd8d0832545f560a031a01" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#af0f0bc6bbfdd8d0832545f560a031a01">Ogre::ResourceBackgroundQueue::ResourceRequest::resourceName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00126">126</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d4d06543328af3f1550fdea2ec2f0ac"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::resourceType" ref="a7d4d06543328af3f1550fdea2ec2f0ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a7d4d06543328af3f1550fdea2ec2f0ac">Ogre::ResourceBackgroundQueue::ResourceRequest::resourceType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00128">128</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f4a164e5f83968645c65302a380d257"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::result" ref="a3f4a164e5f83968645c65302a380d257" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1BackgroundProcessResult.html">BackgroundProcessResult</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a3f4a164e5f83968645c65302a380d257">Ogre::ResourceBackgroundQueue::ResourceRequest::result</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00134">134</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69799d5ebb705f6e8960de68b43a291c"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceRequest::type" ref="a69799d5ebb705f6e8960de68b43a291c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">RequestType</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#a69799d5ebb705f6e8960de68b43a291c">Ogre::ResourceBackgroundQueue::ResourceRequest::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00125">125</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
